<?php

namespace Modules\Admin\app\Models;

use App\Models\User;
use Illuminate\Database\Eloquent\Model;

class UserCriteria extends Model
{
    protected $table = 'users_criterias';
    protected $fillable = ['user_id', 'criteria_id', 'sprint_id', 'point', 'note', 'user_email',"created_by"];

    // Định nghĩa quan hệ với model User
    public function user()
    {
        return $this->belongsTo(User::class, 'user_email', 'email');
    }

    // Định nghĩa quan hệ với model Sprint
    public function sprint()
    {
        return $this->belongsTo(Sprint::class);
    }

    public function criteria()
    {
        return $this->belongsTo(Criteria::class);
    }
}
